Eccube\Entity\Master\CustomerStatus:
    type: entity
    table: mtb_customer_status
    repositoryClass: Eccube\Repository\Master\CustomerStatusRepository
    id:
        id:
            type: smallint
            nullable: false
            unsigned: false
            id: true
    fields:
        name:
            type: text
            nullable: true
        rank:
            type: smallint
            nullable: false
            unsigned: false
    lifecycleCallbacks: {  }
